%define name ucspi-unix
%define version 0.36
%define release 1rph

Name:		%{name}
Summary:	UNIX-domain socket client-server command-line tools
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Servers
URL:		http://em.ca/~bruceg/ucspi-unix/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	bglibs-devel

%description
unixclient and unixserver are command-line tools for building UNIX
domain client-server applications.  unixclient connects to a UNIX domain
socket and runs a program of your choice.  unixserver creates a UNIX
domain socket, waits for incoming connections and, for each connection,
runs a program of your choice.

unixclient and unixserver conform to UCSPI, the UNIX Client-Server
Program Interface, using UNIX domain sockets.  UCSPI tools are available
for several different networks.

%prep
%setup

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
echo %{_bindir} >conf-bin
echo %{_mandir} >conf-man
echo "gcc %{optflags} -I%{_libdir}/bglibs/include" >conf-cc
echo "gcc -s %{optflags} -L%{_libdir}/bglibs/lib" >conf-ld

make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS -s" programs

%install
mkdir -p %{buildroot}{%{_mandir},%{_bindir}}
echo %{buildroot}%{_bindir} >conf-bin
echo %{buildroot}%{_mandir} >conf-man
make installer instcheck
./installer
./instcheck

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc ANNOUNCEMENT COPYING NEWS PROTOCOL README TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Mar 10 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.36-1rph
- 0.36
- BuildRequires: bglibs-devel

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.34-3rph
- rebuild for 9.0

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.34-2rph
- rebuild with rph extension

* Sun Oct 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.34-1mdk
- first mandrake build